<html>
<head>
<title>Javascript</title>
</head>
<body>
<style type="text/css">
/*label { display: inline-block; width: 100px; }*/
</style>
<script>
function converter(){
var inputC = document.getElementById('txtC'); 
var textoC = inputC.value; 
var inputF = document.getElementById('txtF'); 
var textoF = inputF.value; 
if(textoC != '' && textoF != ''){
alert('Favor Preencher somente uma temperatura!');
}else if(textoC != ''){
alert('Convertendo Fahrenheit');
var f = (textoC*1.8) + 32;
inputF.value = f;
}else if (textoF != ''){
alert('Convertendo Celsius');
var c = (textoF - 32) / 1.8;
inputC.value = c; 
}else {
alert('Favor Preencher uma temperatura!');
}
}
</script>
</body>
<label for="txtC">Celsius</label>
<input type="text" id="txtC"  /> <br />
<label for="txtF">Fahrenheit</label>
<input type="text" id="txtF"  /> <br />
<input type="Button" value="Converter!" onclick="converter()" />
</html>